curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"coupon_id": null,
"shipping_fee": "0.00",
"paypalff_email": null,
"shop_customer_id": 1,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"processed_email_sent_at": null,
"archived_at": null,
"salt": "0c1cbccc9036b",
"gateway": "STRIPE",
"payment_method_id": 1,
"external_url": null,
"stripe_client_secret": null,
"sumup_checkout_id": null,
"email": "customer@sellauth.test",
"delivered": null,
"redirect_url": null,
"status": "completed",
"fulfillment_status": null,
"status_description": null,
"price": "14.99",
"tax_rate": "0.00",
"currency": "USD",
"customer_currency": null,
"price_usd": "14.99",
"balance_applied": null,
"balance_applied_usd": null,
"paid": "14.99",
"paid_usd": "14.99",
"custom_fields": null,
"dashboard_note": null,
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": "newsletter",
"utm_medium": "email",
"utm_campaign": "spring_sale",
"utm_term": null,
"utm_content": null,
"referrer_host": "example.com",
"crypto_address": null,
"crypto_amount": null,
"shop_id": 1,
"cashapp_cashtag": null,
"cashapp_note": null,
"venmo_tag": null,
"venmo_email": null,
"venmo_note": null,
"zelle_recipient": null,
"zelle_name": null,
"zelle_email": null,
"zelle_note": null,
"skrillp2p_email": null,
"skrillp2p_note": null,
"manual": false,
"paypalff_currency": "USD",
"paypalff_price": null,
"paypalff_note": null,
"revolutbusiness_token": null,
"customer_id": null,
"transaction_id": null,
"proof_of_payment": null,
"proof_of_payment_image": null,
"metadata": null,
"source": null,
"misticpay_address": null,
"billing_name": null,
"billing_address_line1": null,
"billing_address_line2": null,
"billing_city": null,
"billing_state": null,
"billing_postcode": null,
"billing_country": null,
"shipping_name": null,
"shipping_address_line1": null,
"shipping_address_line2": null,
"shipping_city": null,
"shipping_state": null,
"shipping_postcode": null,
"shipping_country": null,
"shipping_phone": null,
"tracking_code": null,
"tracking_link": null,
"shipped_at": null,
"delivered_at": null,
"fulfillment_note": null,
"abandoned_dismissed_at": null,
"abandoned_recovery_sent_at": null,
"abandoned_recovery_due_at": null,
"abandoned_recovery_skipped_at": null,
"abandoned_recovery_skip_reason": null,
"abandoned_recovery_source": null,
"venpayr_id": null,
"shipping_zone_id": null,
"withdrawal_disabled": false,
"affiliate_customer_id": null,
"affiliate_code": null,
"affiliate_commission_usd": null,
"affiliate_commission_skip_reason": null,
"affiliate_tier_id": null,
"product_subscription_id": null,
"subscription_cycle": null,
"is_reseller_order": false,
"reseller_tier_id": null,
"reseller_source": null,
"cashback_usd": null,
"unique_id": "0c1cbccc9036b-0000000000001",
"customer": {
"id": 1,
"shop_id": 1,
"email": "customer@sellauth.test",
"discord_id": null,
"discord_username": null
},
"coupon": null,
"items": [
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"parent_variant_id": null,
"custom_name": null,
"status": "completed",
"price": "14.99",
"cost": "4.50",
"quantity": 1,
"balance_credit": null,
"coupon_discount": "0.00",
"volume_discount": "0.00",
"gateway_fee": "0.00",
"tax_inclusive": false,
"total_tax": "0.00",
"total_price": "14.99",
"custom_fields": null,
"custom_fields_submitted_at": null,
"delivered": [
"KEY-AAAA-1111-XXXX"
],
"completed_at": "2026-09-20T15:56:24.000000Z",
"product": {
"id": 1,
"type": "variant",
"name": "License Keys",
"deliverables_type": "serials",
"requires_fulfillment": false,
"stock_count": 3,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": {
"id": 1,
"name": "Standard",
"stock": 3
}
}
],
"payments": [],
"payment_method": {
"id": 1,
"name": "Stripe",
"icon_image_id": null,
"icon_image_url": null,
"icon_image": null
},
"feedback": {
"id": 1,
"invoice_id": 1,
"status": "published",
"message": "Great product, instant delivery.",
"image": null,
"rating": 5,
"is_automatic": false,
"reply": null,
"dispute_reason": null,
"disputed_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"replied_at": null,
"image_url": null
},
"shipping_zone": null,
"proof_of_payment_image_url": null,
"blacklist_status": {
"email": false,
"email_domain": false,
"discord_id": false,
"ip": false,
"ip_range": false,
"country_code": false,
"user_agent": false,
"asn": false
}
}Get Invoice
Retrieves a specific invoice.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
The invoice ID or unique ID.
Response
1
null
"0.00"
null
1
"2026-09-20T15:56:24.000000Z"
"2026-09-20T15:56:24.000000Z"
"2026-09-20T15:56:24.000000Z"
null
null
"0c1cbccc9036b"
"STRIPE"
1
null
null
null
"customer@sellauth.test"
null
null
"completed"
null
null
"14.99"
"0.00"
"USD"
null
"14.99"
null
null
"14.99"
"14.99"
null
null
"127.0.0.1"
null
"Mozilla/5.0 (Windows NT 10.0; Win64; x64)"
null
"newsletter"
"email"
"spring_sale"
null
null
"example.com"
null
null
1
null
null
null
null
null
null
null
null
null
null
null
false
"USD"
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
null
false
null
null
null
null
null
null
null
false
null
null
null
"0c1cbccc9036b-0000000000001"
Show child attributes
Show child attributes
null
Show child attributes
Show child attributes
[
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"parent_variant_id": null,
"custom_name": null,
"status": "completed",
"price": "14.99",
"cost": "4.50",
"quantity": 1,
"balance_credit": null,
"coupon_discount": "0.00",
"volume_discount": "0.00",
"gateway_fee": "0.00",
"tax_inclusive": false,
"total_tax": "0.00",
"total_price": "14.99",
"custom_fields": null,
"custom_fields_submitted_at": null,
"delivered": ["KEY-AAAA-1111-XXXX"],
"completed_at": "2026-09-20T15:56:24.000000Z",
"product": {
"id": 1,
"type": "variant",
"name": "License Keys",
"deliverables_type": "serials",
"requires_fulfillment": false,
"stock_count": 3,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": { "id": 1, "name": "Standard", "stock": 3 }
}
]
[]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
null
null
Show child attributes
Show child attributes